using NUnit.Framework;
using RecrownedGTK.Types;
namespace RecrownedGTK.Tests.Types {
    [TestFixture]
    public class RectangleTest {
        Rectangle rectangle;
        [SetUp]
        public void Setup() {
            rectangle = new Rectangle();
        }
        [TestCase(20, 40, 800)]
        [TestCase(0, 40, 0)]
        [TestCase(1f, 3.5f, 3.5f)]
        public void TestArea(float width, float height, float expected) {
            rectangle.Width = width;
            rectangle.Height = height;
            Assert.AreEqual(expected, rectangle.Area);
        }
    }
}