﻿using System;

namespace RecrownedGTK.Tools.CommandProcessor.Commands
{
    public class ClearConsoleCommand : EngineCommand
    {
        public ClearConsoleCommand() : base("clear")
        {
            help = "Clears the console.";
        }

        public override void Run(IUserInput userInput, IUserOutput userOutput, string[] arguments = null)
        {
            userOutput.ClearOutput();
        }
    }
}
